using System;
using System.Collections.Generic;
using System.Linq;
using ZusiCLIProject.FileLibrary.Zusi3;
using System.IO.Pipes;
using System.Threading;

#if NETCOREAPP
namespace ZusiCLIProject.EntryPoints;
#else
namespace ZusiCLIProject.EntryPoints
{
#endif

#if NETCOREAPP
[System.Runtime.Versioning.SupportedOSPlatform("windows")]
#endif
public class FahrzeugAntriebsExe
{
	public static void Main()
	{
		System.Console.WriteLine("Verbinde...");
		var pipe = new NamedPipeClientStream("ZusiFahrzeugAntriebsStreaming");
		pipe.Connect();
		System.Console.WriteLine("OK!");
		var antrieb = new FahrzeugAntrieb141(0);
		System.Console.WriteLine(antrieb.ToString());
		var pipeAdapter = new FahrzeugAntriebClient() { Parent = antrieb, Stream = pipe };
		pipeAdapter.ReadingLoop();
	}
}

#if NETCOREAPP
#else
}
#endif
